osgAnimation::TemplateKeyframeContainer< Vec3Packed > Class Reference

`#include <Keyframe>`

Inheritance diagram for osgAnimation::TemplateKeyframeContainer< Vec3Packed >:

## Public Types

typedef TemplateKeyframe< Vec3Packed > | KeyType
typedef osg::MixinVector< TemplateKeyframe< Vec3Packed > > | VectorType
Public Types inherited from osg::MixinVector< TemplateKeyframe< Vec3Packed > >
typedef vector_type::allocator_type | allocator_type
typedef vector_type::value_type | value_type
typedef vector_type::const_pointer | const_pointer
typedef vector_type::pointer | pointer
typedef vector_type::const_reference | const_reference
typedef vector_type::reference | reference
typedef vector_type::const_iterator | const_iterator
typedef vector_type::iterator | iterator
typedef vector_type::const_reverse_iterator | const_reverse_iterator
typedef vector_type::reverse_iterator | reverse_iterator
typedef vector_type::size_type | size_type
typedef vector_type::difference_type | difference_type

## Public Member Functions

| TemplateKeyframeContainer ()
const char * | getKeyframeType ()
void | init (const osg::Vec3f &min, const osg::Vec3f &scale)
virtual unsigned int | size () const
virtual unsigned int | linearInterpolationDeduplicate ()
Public Member Functions inherited from osg::MixinVector< TemplateKeyframe< Vec3Packed > >
| MixinVector ()
MixinVector & | operator= (const vector_type &other)
virtual | ~MixinVector ()
void | clear ()
void | resize (size_type new_size, const value_type &fill_value=value_type())
void | reserve (size_type new_capacity)
void | swap (vector_type &other)
bool | empty () const
size_type | size () const
size_type | capacity () const
size_type | max_size () const
allocator_type | get_allocator () const
const_iterator | begin () const
const_iterator | end () const
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
const_reference | operator[] (size_type index) const
const_reference | at (size_type index) const
void | assign (size_type count, const value_type &value)
void | push_back (const value_type &value)
void | pop_back ()
iterator | erase (iterator where)
iterator | insert (iterator where, const value_type &value)
const_reference | back () const
const_reference | front () const
vector_type & | asVector ()
Public Member Functions inherited from osgAnimation::KeyframeContainer
| KeyframeContainer ()
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

osg::Vec3f | _min
osg::Vec3f | _scale

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osgAnimation::KeyframeContainer
| ~KeyframeContainer ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osgAnimation::KeyframeContainer
std::string | _name
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Typedef Documentation

## KeyType

typedef TemplateKeyframe<Vec3Packed> osgAnimation::TemplateKeyframeContainer< Vec3Packed >::KeyType

## VectorType

typedef osg::MixinVector< TemplateKeyframe<Vec3Packed> > osgAnimation::TemplateKeyframeContainer< Vec3Packed >::VectorType

## Constructor & Destructor Documentation

## TemplateKeyframeContainer()

osgAnimation::TemplateKeyframeContainer< Vec3Packed >::TemplateKeyframeContainer | ( |  | ) |

inline

## Member Function Documentation

## getKeyframeType()

const char * osgAnimation::TemplateKeyframeContainer< Vec3Packed >::getKeyframeType | ( |  | ) |

inline

## init()

void osgAnimation::TemplateKeyframeContainer< Vec3Packed >::init | ( | const osg::Vec3f & | min,
|  | const osg::Vec3f & | scale )

inline

References _min, and _scale.

## linearInterpolationDeduplicate()

virtual unsigned int osgAnimation::TemplateKeyframeContainer< Vec3Packed >::linearInterpolationDeduplicate | ( |  | ) |

inline virtual

Implements osgAnimation::KeyframeContainer.

## size()

virtual unsigned int osgAnimation::TemplateKeyframeContainer< Vec3Packed >::size | ( |  | ) | const

inline virtual

Implements osgAnimation::KeyframeContainer.

## Member Data Documentation

## _min

osg::Vec3f osgAnimation::TemplateKeyframeContainer< Vec3Packed >::_min

Referenced by init().

## _scale

osg::Vec3f osgAnimation::TemplateKeyframeContainer< Vec3Packed >::_scale

Referenced by init().

The documentation for this class was generated from the following file:

- Keyframe